// COPYRIGHT (C) 1990-1999.  All Rights Reserved. - INTL1.CPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

#include <zaf.hpp>

// ----- ZafApplication -----------------------------------------------------

int ZafApplication::Main(void)
{
	LinkMain();

	// Create the window.
	ZafWindow *window = new ZafWindow(0, 0, 25, 5);
	window->AddGenericObjects(new ZafStringData("International Window"));
	window->Add(new ZafPrompt(4, 1, 12, new ZafStringData("International string:")));
	window->Add(new ZafPrompt(4, 2, 12, new ZafStringData(ZafI18nData::I18nName())));
	zafWindowManager->Center(window);
	zafWindowManager->Add(window);

	// Get user input.
	Control();
	
	// Return success.
	return (0);
}

